Procedure Computation Instance
Get a list of ProcedureComputation objects. ProcedureComputations have a 1:1 mapping with Observations.
### Available end points:
- `/ProcedureComputations/` - Will list all ProcedureComputations in the database
- `/ProcedureComputations.json` - Will return all ProcedureComputations in json format
- `/ProcedureComputations/<object_id>/` - Returns ProcedureComputations object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `uuid`
- `title`
- `keywords`
- `abstract`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/computations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/computations/?title__startswith!=DETAILS NEEDED - COMPUTATION CREATED FOR SATELLITE COMPOSITE`
- `/computations/?abstract__contains=HadCM3 model`
GET /api/v2/computations/39847/?format=api
{
"ob_id": 39847,
"uuid": "752cd95d7ebe460db5f86ce90d7de935",
"title": "Statistical downscaling of daily SST for the global coral reef area",
"abstract": "HighResCoralStress was generated by statistical downscaling of sea surface temperature (SST) projected by CMIP6 models for the global coral reef area. The global coral reef area was determined by extracting the latitude and longitude of 1 km global coral reef pixels from the UNEP World Conservation Monitoring Centre dataset (UNEP-WCMC, WorldFish Centre, WRI, TNC, 2010). The 1 km global coral reef pixels were split into 12 coral reef regions (McWilliam et al., 2018). Observed SST used in the statistical downscaling was a combination of the JPL MUR SST Analysis (Chin et al., 2017; 1 km) and ESA CCI SST Analysis (Merchant et al., 2016; 5 km) resulting in a single 1 km resolution dataset for each global coral reef pixel (01/01/1985 - 31/12/2019) - see S1 Appendix in Dixon et al. (2022) for more information. Data for reef pixels where CCI uses a climatology, likely due to missing data, and MUR does not were replaced with NOAA CRW CoralTemp SST (NOAA Coral Reef Watch, 2018; 5 km) - again see S1 Appendix in Dixon et al. (2022) for more information. CMIP6 model 'tos' output for 14 models and four Shared Socioeconomic Pathways (SSP) was interpolated longitudinally to fill missing data points, converted to 1 km resolution by bilinear interpolation and data extracted for each 1 km global coral reef pixel - see S2 Appendix in Dixon et al. (2022) for more information. For the statistical downscaling, linear regression models were generated for four seasonal periods for each global coral reef pixel using the ranked observed and simulated 1 km SST for a model training period (even years). Different combinations of polynomial trends (1st, 2nd and 3rd order) were removed from the observed and simulated SST datasets prior to downscaling and added back in after to maintain the long-term warming trend simulated by the model - see S3 Appendix in Dixon et al. (2022) for more information. The statistically downscaled SST for the historical period (1985-2019) was evaluated relative to observed SST for a model testing period (odd years) by calculating the root mean square error - see S3 Appendix in Dixon et al. (2022). The 'best' combination of polynomial trends was selected by finding the lowest root mean square error - see S3 Appendix in Dixon et al. (2022). Finally, the seasonal linear regression models were generated using all years in the historical time period (1985-2019) to statistically downscale the simulated SST (1985-2100). The method is described in more detail in Dixon et al. (2022).",
"keywords": "CMIP6, coral reefs, sea surface temperature, statistical downscaling",
"inputDescription": null,
"outputDescription": null,
"softwareReference": null,
"identifier_set": []
}